Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.configuration.event
Interface ConfigurationErrorListener

All Known Implementing Classes:
  AbstractHierarchicalFileConfiguration, DefaultConfigurationBuilder, HierarchicalINIConfiguration, HierarchicalXMLConfiguration, MultiFileHierarchicalConfiguration, PatternSubtreeConfigurationWrapper, PropertyListConfiguration, XMLConfiguration, XMLPropertyListConfiguration

    public interface ConfigurationErrorListener

An event listener interface to be implemented by observers that are interested in internal errors caused by processing of configuration properties.

Some configuration classes use an underlying storage where each access of a property can cause an exception. In earlier versions of this library such exceptions were typically ignored. By implementing this interface and registering at a configuration object as an error listener it is now possible for clients to receive notifications about those internal problems.

Since:
  1.4
Version:
  $Id: ConfigurationErrorListener.java 1207610 2011-11-28 21:06:22Z oheger $
Author:
  Commons Configuration team
See Also:
  `ConfigurationErrorEvent`

Method Summary
`void` | `configurationError(ConfigurationErrorEvent event)` Notifies this listener that in an observed configuration an error occurred.

Method Detail

### configurationError

    void configurationError(ConfigurationErrorEvent event)

  Notifies this listener that in an observed configuration an error occurred. All information available about this error, including the causing `Throwable` object, can be obtained from the passed in event object.

  Parameters:
    `event` - the event object with information about the error

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 The Apache Software Foundation. All Rights Reserved.